CREATE TABLE IF NOT EXISTS `plugin_ebpgestion_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_ebpgestion_pictures_settings` (
    `name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
    `value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
    PRIMARY KEY (`name`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_ebpgestion_logs` (
  `id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
  `action` VARCHAR(34) COLLATE utf8_unicode_ci DEFAULT NULL,
  `timestamp` TIMESTAMP NULL,
  `errors` ENUM('0', '1') DEFAULT '0',
  `details` TEXT DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT IGNORE INTO `observers_queue` (`observable`, `observer`)
SELECT CONCAT('Models_Model_CartSession'), CONCAT('Tools_EbpgestionOrderClientsGenerationWatchdog') FROM observers_queue WHERE
NOT EXISTS (SELECT `observable`, `observer` FROM `observers_queue`
WHERE `observable` = 'Models_Model_CartSession' AND `observer` = 'Tools_EbpgestionOrderClientsGenerationWatchdog')
AND EXISTS (SELECT name FROM `plugin` where `name` = 'ebpgestion') LIMIT 1;

INSERT IGNORE INTO `email_triggers` (`enabled`, `trigger_name`, `observer`) VALUES
('1', 'ebpgestion_errornotification', 'Tools_EbpgestionMailWatchdog');

CREATE TABLE IF NOT EXISTS `plugin_ebpgestion_file_transfer_logs` (
    `id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
    `order_id` int(10) unsigned DEFAULT NULL,
    `cart_status` ENUM('completed', 'refunded', 'partial') DEFAULT 'partial',
    `timestamp` TIMESTAMP NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- These alters are always the latest and updated version of the database
UPDATE `plugin` SET `version`='2.2.0' WHERE `name`='ebpgestion';
SELECT version FROM `plugin` WHERE `name` = 'ebpgestion';
